BIT-percona-xtrabackup-2022-26944

See a problem?
Import Source
https://github.com/bitnami/vulndb/tree/main/data/percona-xtrabackup/BIT-percona-xtrabackup-2022-26944.json
JSON Data
https://api.osv.dev/v1/vulns/BIT-percona-xtrabackup-2022-26944
Aliases
Published
2024-03-06T11:00:49.368Z
Modified
2024-03-06T11:25:28.861Z
Summary
[none]
Details

Percona XtraBackup 2.4.20 unintentionally writes the command line to any resulting backup file output. This may include sensitive arguments passed at run time. In addition, when --history is passed at run time, this command line is also written to the PERCONASCHEMA.xtrabackuphistory table. NOTE: this issue exists because of an incomplete fix for CVE-2020-10997.

References

Affected packages

Bitnami / percona-xtrabackup

Package

Name
percona-xtrabackup
Purl
pkg:bitnami/percona-xtrabackup

Severity

  • 6.5 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N CVSS Calculator

Affected ranges

Type
SEMVER
Events
Introduced
2.4.20
Last affected
2.4.20